Bug 849 - Samba 3.0.0-2 Domain Member File Server User Home Directory Access
Samba 3.0.0-2 Domain Member File Server User Home Directory Access
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.0preX
All Linux
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 08:02 UTC by Yaquin Childs
Modified: 2005-11-14 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yaquin Childs 2003-12-02 08:02:04 UTC
I am running RHL 8.0 (Psyche) with Samba 3.0.0-2 as a domain member.  I migrated
from Samba 2.2.7.  Users are being authenticated from a Windows 2000 domain.

Users can access specified samba shares with the exception of their home
directory.  When a user attempts to connect to their home directory share from
Windows the dreaded "Enter Network Password" box appears."Incorrect password or
unknown username for:" Connect at: Pasword:. If I enter the users name and
password the box just reappears again.

On Samba 2.2.7 I had it configured perfectly so that when a new user connected
to the file server a home directory was automatically created using PAM.  The
user had complete access to specified samba shares along with their home directory.

After migrating to Samba 3.0.0-2 most of the functionality worked with the
exception of users having access to their newly created home directory.

Winbindd is working properly cause I can query the user and group database
(wbinfo -u, wbinfo -g, getent passwd).  Samba appears to be authenticating
properly.  I believe the problem lies in the PAM configuration.

Since Samba 3.x is so new I was not able to find any information to help me
resolve this.  I checked the PAM website, checked user group forums, and the
O'reilly Using Samba book to no avail.

I will be rolling back to Samba 2.2.7 until we can resolve the issue.  Please
help.  Thank you for reading.
Comment 1 Gerald (Jerry) Carter 2003-12-06 05:32:02 UTC
Is the problem with all home directories?  Do you have 

   [homes]
      ...
      valid users = %S

This was broken in 3.0.0 but has been fixed in 3.0.1pre1 
and later.
Comment 2 Gerald (Jerry) Carter 2004-03-04 08:00:04 UTC
no feedback.  Assuming the bug was fixed post 3.0.0
Comment 3 Gerald (Jerry) Carter 2005-02-07 09:05:54 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:27:13 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 5 Gerald (Jerry) Carter 2005-11-14 09:30:50 UTC
database cleanup